package com.ruoyi.factory.domain;

import java.math.BigDecimal;
import java.util.List;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 车间管理对象 c_factory
 *
 * @author ruoyi
 * @date 2024-02-29
 */
public class CFactory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long factoryId;

    /** 编码 */
    @Excel(name = "编码")
    private String factoryNo;

    /** 名称 */
    @Excel(name = "名称")
    private String factoryName;

    /** 人工成本占比 */
    @Excel(name = "人工成本占比")
    private BigDecimal factoryRgRatio;

    /** 五金费用占比 */
    @Excel(name = "五金费用占比")
    private BigDecimal factoryWjRatio;

    /** 辅料费用占比 */
    @Excel(name = "辅料费用占比")
    private BigDecimal factoryFlRatio;

    /** 电费占比 */
    @Excel(name = "电费占比")
    private BigDecimal factoryDfRatio;

    /** 天然气费用占比 */
    @Excel(name = "天然气费用占比")
    private BigDecimal factoryTrqRatio;

    /** 运输费用占比 */
    @Excel(name = "运输费用占比")
    private BigDecimal factoryYsRatio;

    /** 盘具费用占比 */
    @Excel(name = "盘具费用占比")
    private BigDecimal factoryPjRatio;

    /** 总占比 */
    @Excel(name = "总占比")
    private BigDecimal factoryTotalRatio;

    /** 物料类别信息 */
    private List<CMaterialTypeFactory> cMaterialTypeList;

    public void setFactoryId(Long factoryId)
    {
        this.factoryId = factoryId;
    }

    public Long getFactoryId()
    {
        return factoryId;
    }
    public void setFactoryNo(String factoryNo)
    {
        this.factoryNo = factoryNo;
    }

    public String getFactoryNo()
    {
        return factoryNo;
    }
    public void setFactoryName(String factoryName)
    {
        this.factoryName = factoryName;
    }

    public String getFactoryName()
    {
        return factoryName;
    }
    public void setFactoryRgRatio(BigDecimal factoryRgRatio)
    {
        this.factoryRgRatio = factoryRgRatio;
    }

    public BigDecimal getFactoryRgRatio()
    {
        return factoryRgRatio;
    }
    public void setFactoryWjRatio(BigDecimal factoryWjRatio)
    {
        this.factoryWjRatio = factoryWjRatio;
    }

    public BigDecimal getFactoryWjRatio()
    {
        return factoryWjRatio;
    }
    public void setFactoryFlRatio(BigDecimal factoryFlRatio)
    {
        this.factoryFlRatio = factoryFlRatio;
    }

    public BigDecimal getFactoryFlRatio()
    {
        return factoryFlRatio;
    }
    public void setFactoryDfRatio(BigDecimal factoryDfRatio)
    {
        this.factoryDfRatio = factoryDfRatio;
    }

    public BigDecimal getFactoryDfRatio()
    {
        return factoryDfRatio;
    }
    public void setFactoryTrqRatio(BigDecimal factoryTrqRatio)
    {
        this.factoryTrqRatio = factoryTrqRatio;
    }

    public BigDecimal getFactoryTrqRatio()
    {
        return factoryTrqRatio;
    }
    public void setFactoryYsRatio(BigDecimal factoryYsRatio)
    {
        this.factoryYsRatio = factoryYsRatio;
    }

    public BigDecimal getFactoryYsRatio()
    {
        return factoryYsRatio;
    }
    public void setFactoryTotalRatio(BigDecimal factoryTotalRatio)
    {
        this.factoryTotalRatio = factoryTotalRatio;
    }

    public BigDecimal getFactoryTotalRatio()
    {
        return factoryTotalRatio;
    }

    public BigDecimal getFactoryPjRatio() {return factoryPjRatio;}

    public void setFactoryPjRatio(BigDecimal factoryPjRatio) {this.factoryPjRatio = factoryPjRatio;}

    public List<CMaterialTypeFactory> getCMaterialTypeList()
    {
        return cMaterialTypeList;
    }

    public void setCMaterialTypeList(List<CMaterialTypeFactory> cMaterialTypeList){this.cMaterialTypeList = cMaterialTypeList;}

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("factoryId", getFactoryId())
            .append("factoryNo", getFactoryNo())
            .append("factoryName", getFactoryName())
            .append("factoryRgRatio", getFactoryRgRatio())
            .append("factoryWjRatio", getFactoryWjRatio())
            .append("factoryFlRatio", getFactoryFlRatio())
            .append("factoryDfRatio", getFactoryDfRatio())
            .append("factoryTrqRatio", getFactoryTrqRatio())
            .append("factoryYsRatio", getFactoryYsRatio())
            .append("factoryTotalRatio", getFactoryTotalRatio())
            .append("cMaterialTypeList", getCMaterialTypeList())
            .toString();
    }
}
